
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des garage</span></h5>
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
                </li>
                <li class="breadcrumb-item">garage
                </li>
                <li class="breadcrumb-item active"> Liste des garage
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
     
          <div class="section section-data-tables">
  
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
        <a class=" modal-trigger" href="#modal1" (click)="initi()">
            <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
               <i class="material-icons right">add</i>
             </button>
             </a>
       
             <h4 class="card-title">Liste des Garage</h4>
           
             
  
        
      
        <br/>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Nom</th>
                  <th>Tel</th>
                  <th>Adresse</th>
                 
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let g of garages; index as i;">
                  
  
                  <td>{{g.nom}}</td>
                  <td>{{g.tel}}</td>
                  <td>{{g.adresse}}</td>
                  
                  <td> <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a  class="modal-trigger" (click)="getOne(g.id)" href="#modal2"> Modifier</a></li>
                    <li><a class="modal-trigger" (click)="delete(g.id)" > Supprimper</a></li>
                    </ul></td>
                
                
                
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  
  
    
  </div>
  
  <!-- START RIGHT SIDEBAR NAV -->

  <div id="modal1" class="modal" style="width: 40%;">
    <form #f="ngForm" (ngSubmit)="save(f.value)">
   <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
     <h6>Ajouter garage
     </h6>
     
     <div class="row">
      <div class="input-field col m6 s6">
         <input type="Text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="garage.nom" required >
          <label for="nbrpersonne">Nom* </label>
          <small  class="errorTxt1" *ngIf="nom.touched  &&  nom.invalid" ><div id="uname-error" class="error">saisir votre nom</div></small>

 
      </div>
      <div class="input-field col m6 s6">
          <input type="text" class="validate" name="tel" #tel="ngModel" [(ngModel)]="garage.tel"  required >
          <label for="nbrpersonne">Tel</label>
          <small  class="errorTxt1" *ngIf="tel.touched  &&  tel.invalid" ><div id="uname-error" class="error">saisir votre tel</div></small>

 
      </div>
    </div>
    <div class="row">
     <div class="input-field col m6 s6">
         <input type="text" class="validate" name="adresse" #adresse="ngModel" [(ngModel)]="garage.adresse"  required>
         <label for="nbrporte">Adresse</label>
         <small  class="errorTxt1" *ngIf="adresse.touched  &&  adresse.invalid" ><div id="uname-error" class="error">saisir votre adresse</div></small>

 
     </div>
     
   </div>
  
 
   
    
   
 
     <div class="modal-footer">
         <button  [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
            <i class="material-icons right">send</i>
          </button>
      </div>
 
 </div>
 </form>
 
 </div>
  

 <div id="modal2" class="modal" style="width: 40%;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)">
 <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
   <h6>modifier garage
   </h6>
   
   <div class="row">
    <div class="input-field col m6 s6">
      <label for="nbrpersonne">Nom</label><br/>
       <input type="Text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="garage.nom" required >

    </div>
    <div class="input-field col m6 s6">
      <label for="nbrpersonne">Tel</label><br/>
        <input type="text" class="validate" name="tel" #tel="ngModel" [(ngModel)]="garage.tel"  required >

    </div>
  </div>
  <div class="row">
   <div class="input-field col m6 s6">
    <label for="nbrporte">Adresse</label><br/>
       <input type="text" class="validate" name="adresse" #adresse="ngModel" [(ngModel)]="garage.adresse"  required>

   </div>
   
 </div>


 
  
 

   <div class="modal-footer">
       <button   class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
          <i class="material-icons right">send</i>
        </button>
    </div>

</div>
</form>

</div>
  